> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch state of a single entity



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/states/{entity_id}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/states/{entity_id}:
    get:
      tags:
        - Entities & States
      summary: Fetch state of a single entity
      operationId: getV1StatesByEntity_id
      parameters:
        - in: path
          name: entity_id
          required: true
          schema:
            type: string
          description: 'entity_id da entidade (ex: light.sala)'
      responses:
        '200':
          description: Entity state
          content:
            application/json:
              schema:
                type: object
                properties:
                  entity_id:
                    type: string
                  state:
                    type: string
                    nullable: true
                  attributes:
                    type: object
              example:
                entity_id: light.sala
                state: 'on'
                attributes:
                  friendly_name: Luz da Sala
                  brightness: 200
                  color_temp: 4000
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````